Seurat installation errors (configure: error: geos-config not found or not executable & ERROR: dependency; no sudo)
0
0
Entering edit mode
3 months ago
sasa ▴ 10

I need to install the Seurat package

I'm trying to install Seurat on CentOS Linux 7, but I can't. I am getting several error messages:

  • configure: error: geos-config not found or not executable.
  • ERROR: configuration failed for package ‘rgeos’
  • ERROR: dependency ‘rgeos’ is not available for package ‘SeuratObject’
  • ERROR: dependency ‘SeuratObject’ is not available for package ‘Seurat’

I do not have sudo permission, so I can't run the codes such as sudo apt install libgeos-dev

The situation is very similar to this issue (no practical solution)

I would be grateful if anyone could help me to install Seurat.

Any comments and suggestions would be very much appreciated.

Below are the details:

install.packages("Seurat")

And I got:

Installing package into ‘/home/users/myname/R_libs’ (as ‘lib’ is unspecified) also installing the dependencies ‘rgeos’, ‘SeuratObject’

trying URL 'https://ftp.osuosl.org/pub/cran/src/contrib/rgeos_0.5-9.tar.gz' Content type 'application/x-gzip' length 290240 bytes (283 KB) ================================================== downloaded 283 KB

trying URL 'https://ftp.osuosl.org/pub/cran/src/contrib/SeuratObject_4.1.2.tar.gz' Content type 'application/x-gzip' length 194969 bytes (190 KB) ================================================== downloaded 190 KB

trying URL 'https://ftp.osuosl.org/pub/cran/src/contrib/Seurat_4.2.0.tar.gz' Content type 'application/x-gzip' length 1467764 bytes (1.4 MB) ================================================== downloaded 1.4 MB

  • installing source package ‘rgeos’ ... package ‘rgeos’ successfully unpacked and MD5 sums checked using staged installation configure: CC: gcc configure: CXX: c++ configure: rgeos: 0.5-9 checking for /usr/bin/svnversion... no configure: svn revision: 684 checking for geos-config... no no configure: error: geos-config not found or not executable. ERROR: configuration failed for package ‘rgeos’
  • removing ‘/home/users/myname/R_libs/rgeos’ ERROR: dependency ‘rgeos’ is not available for package ‘SeuratObject’
  • removing ‘/home/users/myname/R_libs/SeuratObject’ ERROR: dependency ‘SeuratObject’ is not available for package ‘Seurat’
  • removing ‘/home/users/myname/R_libs/Seurat’

The downloaded source packages are in ‘/tmp/RtmpeoMwdn/downloaded_packages’ Warning messages: 1: In install.packages("Seurat") : installation of package ‘rgeos’ had non-zero exit status 2: In install.packages("Seurat") : installation of package ‘SeuratObject’ had non-zero exit status 3: In install.packages("Seurat") : installation of package ‘Seurat’ had non-zero exit status

sessionInfo()

R version 4.2.0 (2022-04-22) Platform: x86_64-pc-linux-gnu (64-bit) Running under: CentOS Linux 7 (Core)

Matrix products: default BLAS/LAPACK: /share/software/user/open/openblas/0.3.10/lib/libopenblas_haswellp-r0.3.10.so

locale: 1 LC_CTYPE=en_US.UTF-8 LC_NUMERIC=C
[3] LC_TIME=en_US.UTF-8 LC_COLLATE=en_US.UTF-8
[5] LC_MONETARY=en_US.UTF-8 LC_MESSAGES=en_US.UTF-8
[7] LC_PAPER=en_US.UTF-8 LC_NAME=C
[9] LC_ADDRESS=C LC_TELEPHONE=C
[11] LC_MEASUREMENT=en_US.UTF-8 LC_IDENTIFICATION=C

attached base packages: 1 stats graphics grDevices utils datasets methods base

other attached packages: 1 ggplot2_3.4.0

loaded via a namespace (and not attached): 1 fansi_1.0.3 withr_2.5.0 dplyr_1.0.10 utf8_1.2.2
[5] grid_4.2.0 R6_2.5.1 lifecycle_1.0.3 gtable_0.3.1
[9] magrittr_2.0.3 scales_1.2.1 pillar_1.8.1 rlang_1.0.6
[13] cli_3.4.1 generics_0.1.3 vctrs_0.5.0 tools_4.2.0
[17] glue_1.6.2 munsell_0.5.0 compiler_4.2.0 pkgconfig_2.0.3 [21] colorspace_2.0-3 tidyselect_1.2.0 tibble_3.1.8

Linux Seurat rgeos R • 658 views
ADD COMMENT
0
Entering edit mode

If you don't have sudo permissions you may want to consider installing the software via conda.

ADD REPLY
0
Entering edit mode
ADD REPLY
0
Entering edit mode

Hi, thank you for your suggestions. I have tried with conda but kept getting similar errors. However, I have solved the problems. It was a missing library and a compiler-related problem. My environment is an institutional HPC cluster, and I should have followed a module system to install Seurat. I referred to another institute's website. Again thanks for your helpful suggestions, rpolicastro and Aryan

ADD REPLY
0
Entering edit mode

Thanks for sharing that! I also work on an HPC cluster and your link is very helpful.On my HPC, however, Seurat is already a module.

ADD REPLY

Login before adding your answer.

Traffic: 3081 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6